libstdc++: std::gamma_distribution< _RealType >::param_type Struct Reference

libstdc++

std::gamma_distribution< _RealType >::param_type Struct Reference

`#include <random.h>`

## Public Types
typedef gamma_distribution< _RealType > | distribution_type

## Public Member Functions
| param_type (_RealType __alpha_val, _RealType __beta_val=_RealType(1))
_RealType | alpha () const
_RealType | beta () const

## Friends
class | gamma_distribution< _RealType >
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

template<typename _RealType = double>
struct std::gamma_distribution< _RealType >::param_type

Parameter type.

Definition at line 3215 of file random.h.

## Member Typedef Documentation

## ◆ distribution_type

template<typename _RealType = double>

typedef gamma_distribution<_RealType> std::gamma_distribution< _RealType >::param_type::distribution_type

Definition at line 3217 of file random.h.

## Constructor & Destructor Documentation

## ◆ param_type() [1/2]

template<typename _RealType = double>

std::gamma_distribution< _RealType >::param_type::param_type | ( |  | ) |
| inline

Definition at line 3220 of file random.h.

## ◆ param_type() [2/2]

template<typename _RealType = double>

std::gamma_distribution< _RealType >::param_type::param_type | ( | _RealType | __alpha_val,
|  | _RealType | __beta_val = _RealType(1) )
| inlineexplicit

Definition at line 3223 of file random.h.

## Member Function Documentation

## ◆ alpha()

template<typename _RealType = double>

_RealType std::gamma_distribution< _RealType >::param_type::alpha | ( |  | ) | const
| inline

Definition at line 3231 of file random.h.

## ◆ beta()

template<typename _RealType = double>

_RealType std::gamma_distribution< _RealType >::param_type::beta | ( |  | ) | const
| inline

Definition at line 3235 of file random.h.

## Friends And Related Symbol Documentation

## ◆ gamma_distribution< _RealType >

template<typename _RealType = double>

friend class gamma_distribution< _RealType >
| friend

Definition at line 3217 of file random.h.

## ◆ operator==

template<typename _RealType = double>

bool operator== | ( | const param_type & | __p1,
|  | const param_type & | __p2 )
| friend

Definition at line 3239 of file random.h.

The documentation for this struct was generated from the following files:

- random.h
- bits/random.tcc